/*
 * Color.cpp
 *
 *  Created on: 23 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include"Color.h"

Color::Color() : r(1.0f), g(1.0f), b(1.0f), a(1.0f)
{

}

Color::Color(float r, float g, float b, float a) : r(r), g(g), b(b), a(a)
{

}

Color::Color(const Color &c) : r(c.r), g(c.g), b(c.b), a(c.a)
{

}

Color Color::operator+(const Color &v)
{
	return Color(r+v.r, g+v.g, b+v.b, a+v.a);
}

Color Color::operator-(const Color &v)
{
	return Color(r-v.r, g-v.g, b-v.b, a-v.a);
}


Color Color::operator*(float v)
{
	return Color(r*v, g*v, b*v, a*v);
}
