#pragma once
/*
 * Level.h
 *
 *  Created on: 24 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include"base.h"
#include<list>

class Object;
class Player;

namespace Level
{
	extern unsigned *level, levelW, levelH;
	//extern bool cursorInSight;
	extern Player *player; // NULL if player is dead~!~!~!
	extern unsigned targetsCount, alertTimer;
	extern bool alertTimerStarted;

	bool Init();
	void Quit();

	bool Load(String path);
	void Free();
	bool Reload();
	bool NextLevel();

	void AddObject(Object *o);
	bool CanMove(unsigned id);
	bool CheckCollision(Rect rA, Rect rB);
	bool CheckCollisionOnlyLevel(Object *o, Rect rA);
	bool CheckCollision(Object *o, Rect rA, std::list<Object*> *objList);
	bool MoveObject(Object *o, Vector &vel, bool stopAftCol, std::list<Object*> *objList);
	//bool MoveObject(Object *o, Vector &vel, bool stopAftCol);
	//void GetObjects(Object *o, Vector vel, std::list<Object*> &objList);
	void GetObjects(Object *o, Vector pos, float radius, std::list<Object*> &objList);

	void Update();
	void Show();
}
