/*
 * Obstacle.cpp
 *
 *  Created on: 24 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include"Obstacle.h"

#include<cstdio> // XXX

Obstacle::Obstacle() : Object("Obstacle")
{

	
}

Obstacle::~Obstacle()
{

}

bool Obstacle::Init(String path, Vector nPos, float nLife)
{
	if(!spr.Load(path) )
		return false;

	pos=nPos;
	pos.z=Z_OBSTACLE;

	maskType=COL_RECT;
	mask=spr.GetMask();
	mask.x=0; mask.y=0;
	//printf("Mask: %.1fx%.1f, %.1fx%.1f\n", mask.x, mask.y, mask.w, mask.h);
	//life=-1.0f;
	//life=nLife;
	SetLife(nLife);

	//mask.w=64;
	//mask.h=64;

	return true;
}

void Obstacle::Quit()
{
	spr.Free();
}

void Obstacle::Update()
{
	//printf("[%p], Life: %.1f\n", this, life);
}

void Obstacle::Show()
{
	spr.Show(pos);
}

void Obstacle::OnDead()
{
	// TODO some particles maybe?
}
