#pragma once
/*
 * Particle.h
 *
 *  Created on: 25 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include "Object.h"

class Particle : public Object
{
	protected:
		float speed, angle;
		Color col1, col2;

	public:
		Particle();
		~Particle();

		bool Init(Vector nPos, float nSpeed, float nAngle, float nLife, Color nCol1, Color nCol2);
		void Quit();

		void Update();
		void Show();
		void OnDead();
};
