#pragma once
/*
 * Player.h
 *
 *  Created on: 24 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include"Object.h"
#include"Weapon.h"
#include"Event.h"
#include<SDL/SDL_keysym.h>

class Player : public Object
{
	protected:
		static SDLKey cUp, cDown, cLeft, cRight;//, cFire;
		static unsigned cFire;
		bool move;
		float speed;
		Weapon weapons[WEAPON_COUNT];
		bool weaponsEnabled[WEAPON_COUNT];
		unsigned curWeapon;
		Event event;

	public:
		Player();
		virtual ~Player();

		bool Init(Vector nPos, float nSpeed, bool *nWeaponsEnabled);
		void Quit();

		void Update();
		void Show();
		void OnDead();

		unsigned GetCurrentWeapon();
		bool HasWeapon(WEAPON_TYPE type);
		unsigned GetAmmo(WEAPON_TYPE type);
		unsigned GetAmmoMax(WEAPON_TYPE type);
		void AddAmmo(WEAPON_TYPE type, unsigned amount);
};
