#pragma once
/*
 * Texture.h
 *
 *  Created on: 23 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include"base.h"

class Texture
{
	protected:
		String path;
		unsigned id;
		Size size;

	public:
		Texture();
		~Texture();

		bool Load(String path);
		void Free();

		void Show(Rect src, Vector dst);
		void Show(Rect src, Vector dst, Color c);
		void Show(Rect src, Vector dst, float angle, Vector angleSpot);
		void Show(Rect src, Vector dst, float angle, Vector angleSpot, Color c);

		Size GetSize();
		float GetWidth();
		float GetHeight();
};
