#pragma once
/*
 * Vector.h
 *
 *  Created on: 23 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

class Vector
{
	public:
		float x, y, z;

		Vector();
		Vector(float x, float y, float z=0.0f);
		Vector(const Vector &v);

		Vector operator+(const Vector &v);
		Vector &operator+=(const Vector &v);
		Vector operator-(const Vector &v);
		Vector &operator-=(const Vector &v);
		Vector operator*(float v);
		Vector &operator*=(float v);
		Vector operator/(float v);
		Vector &operator/=(float v);
};
