#pragma once
/*
 * Video.h
 *
 *  Created on: 23 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include"base.h"

namespace Video
{
	bool Init(Size size, String caption);
	void Quit();

	void Flip();

	Size GetSize();

	void SetCamera(Vector nCam);
	Vector GetCamera();

	void DrawRect(Rect dst, Color c);
	void DrawRect(Rect dst, float z, Color c);

	void DrawLine(Vector v1, Vector v2, float width, Color c);

	void DrawGUI(bool state);

	void SetCursor(Vector nPos);
};
