#pragma once
/*
 * base.h
 *
 *  Created on: 23 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include"Vector.h"
#include"Color.h"
#include"Size.h"
#include"Rect.h"
#include<string>

#define String std::string

extern float delta;
extern unsigned deltaTimer;

unsigned GetTicks();

inline Rect operator+(const Rect &r, const Vector &v)
{
	return Rect(r.x+v.x, r.y+v.y, r.w, r.h);
}

inline Rect &operator+=(Rect &r, const Vector &v)
{
	r.x+=v.x;
	r.y+=v.y;
	return r;
}
