#pragma once
/*
 * Enemy.h
 *
 *  Created on: 24 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include"base.h"
#include"Object.h"
#include"Weapon.h"

class Enemy : public Object
{
	protected:
		enum AI
			{
			DEFEND,
			BOSS,
			};

		String name;
		Weapon weapon;

		AI ai;

		float aitimer;
		float firetimer;
		unsigned series;

		void UpdateAIDefend();
		void UpdateAIBoss();

	public:
		Enemy();
		~Enemy();

		bool Init(String path, Vector nPos, Direction nDir, String nName, float nLife, WEAPON_TYPE nWeaponType, unsigned nWeaponAmmo);
		void Quit();

		void Update();
		void Show();
		void OnDead();
};
