/*
 * Event.h
 *
 *  Created on: 26 mar 2013
 *      Author: cybek
 */

#ifndef EVENT_H_
#define EVENT_H_

#include<SDL/SDL_events.h>
#include<list>

class Event
{
	protected:
		unsigned mask;
		std::list<SDL_Event> events;

	public:
		Event();
		~Event();

		void Register(unsigned mask);
		void Unregister(unsigned mask);

		static void Update();
		static void Add(SDL_Event e);

		std::list<SDL_Event>::iterator begin() { return events.begin(); }
		std::list<SDL_Event>::iterator end() { return events.end(); }
};


#endif /* EVENT_H_ */
