/*
 * Target.cpp
 *
 *  Created on: 26 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include"Target.h"
#include"Level.h"

//#include<cstdio> // XXX

Target::Target() : Object("Target")
{

}

Target::~Target()
{

}

bool Target::Init(String path, Vector nPos, unsigned nLife)
{
	if(!spr.Load(path) )
		return false;
	spr.SetAnimation("live");

	SetLife(nLife);

	pos=nPos;
	pos.z=Z_OBSTACLE;

	maskType=COL_RECT;
	mask.x=0.0f; mask.y=0.0f;
	mask.w=spr.GetMask().w; mask.h=spr.GetMask().h;

	return true;
}

void Target::Quit()
{
	spr.Free();
}

void Target::Update()
{

}

void Target::Show()
{
	spr.Show(pos);
}

void Target::OnDead()
{
	//printf("Target is dead~!\n");
	Level::targetsCount--;
	spr.SetAnimation("dead");
	life=-1.0f;

	maskType=COL_NONE;
}
