/*
 * TargetArea.cpp
 *
 *  Created on: 26 sie 2013
 *     Project: LDJam27
 *      Author: cybek
 */

#include"TargetArea.h"
#include"Level.h"
#include"Player.h"

#include<cmath> // XXX
#include"Video.h" // XXX

TargetArea::TargetArea() : Object("TargetArea")
{

}

TargetArea::~TargetArea()
{

}

bool TargetArea::Init(Vector nPos, Size nSize)
{
	maskType=COL_NONE;
	mask.x=nPos.x;
	mask.y=nPos.y;
	mask.w=nSize.w;
	mask.h=nSize.h;

	SetLife(-1.0f);

	return true;
}

void TargetArea::Quit()
{

}

void TargetArea::Update()
{
	//printf("Alert: %d, Elapsed: %d\n", Level::alertTimerStarted, Level::alertTimer);
	if(Level::player)
	{
		if(Level::CheckCollision(mask, Level::player->GetRect()+Level::player->GetPosition() ) )
		{
			if(!Level::alertTimerStarted)
			{
				Level::alertTimerStarted=true;
				//Level::alertTimer=GetTicks();
			}
		}
	}
}

void TargetArea::Show()
{
	if(!Level::alertTimerStarted)
	{
		Video::DrawRect(mask, Color(1.0f, 0.0f, 0.0f, fabs(sin(GetTicks()/500.0f) )/2.0f) ); // XXX
	}
}

void TargetArea::OnDead()
{

}
